import numpy as np
from pydantic import BaseModel, ConfigDict


class Motion(BaseModel):
    model_config = ConfigDict(arbitrary_types_allowed=True)

    translation: np.ndarray
    rotation: np.ndarray
    inliers: np.ndarray
    inlier_count: int

